<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_112) on Sun Aug 29 12:47:12 CEST 2021 -->
<title>ChessUi</title>
<meta name="date" content="2021-08-29">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ChessUi";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ChessUi.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../de/rowlo/tridchess/gui/BoardView.html" title="class in de.rowlo.tridchess.gui"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../de/rowlo/tridchess/gui/FieldView.html" title="class in de.rowlo.tridchess.gui"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?de/rowlo/tridchess/gui/ChessUi.html" target="_top">Frames</a></li>
<li><a href="ChessUi.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">de.rowlo.tridchess.gui</div>
<h2 title="Class ChessUi" class="title">Class ChessUi</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>de.rowlo.tridchess.gui.ChessUi</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">ChessUi</span>
extends java.lang.Object</pre>
<div class="block">Provides color settings for the chess ui components. Attempts to read
 de.rowlo.tridchess.config/ChessUi.properties or another special properties file. If none are
 found, default values will be taken.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Robert Wloch</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/ChessUi.html#ALLOWED_FIELD_COLOR">ALLOWED_FIELD_COLOR</a></span></code>
<div class="block">Property key name for allowed field's color.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/ChessUi.html#ALLOWED_PIN_COLOR">ALLOWED_PIN_COLOR</a></span></code>
<div class="block">Property key name for allowed pin's color.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/ChessUi.html#ATTACK_FIELD_COLOR">ATTACK_FIELD_COLOR</a></span></code>
<div class="block">Property key name for attack field's color.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/ChessUi.html#ATTACKER_FIELD_COLOR">ATTACKER_FIELD_COLOR</a></span></code>
<div class="block">Property key name for attacker field's color frame.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/ChessUi.html#BACKGROUND_COLOR">BACKGROUND_COLOR</a></span></code>
<div class="block">Property key name for components' backfround color.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/ChessUi.html#BLACK_FIELD_COLOR">BLACK_FIELD_COLOR</a></span></code>
<div class="block">Property key name for black field's color.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/ChessUi.html#BLACK_FIELD_EDGE_COLOR">BLACK_FIELD_EDGE_COLOR</a></span></code>
<div class="block">Property key name for black field's edge color.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/ChessUi.html#FORBIDDEN_FIELD_COLOR">FORBIDDEN_FIELD_COLOR</a></span></code>
<div class="block">Property key name for forbidden field's color.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/ChessUi.html#FORBIDDEN_PIN_COLOR">FORBIDDEN_PIN_COLOR</a></span></code>
<div class="block">Property key name for forbidden pin's color.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/ChessUi.html#GUARDED_FIELD_COLOR">GUARDED_FIELD_COLOR</a></span></code>
<div class="block">Property key name for guarded field's color.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/ChessUi.html#HINT_COLOR">HINT_COLOR</a></span></code>
<div class="block">Property key name for hint color.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/ChessUi.html#LABEL_COLOR">LABEL_COLOR</a></span></code>
<div class="block">Property key name for label color.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/ChessUi.html#PIN_BRIGHT_COLOR">PIN_BRIGHT_COLOR</a></span></code>
<div class="block">Property key name for pin's bright gradient color.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/ChessUi.html#PIN_DARK_COLOR">PIN_DARK_COLOR</a></span></code>
<div class="block">Property key name for pin's dark gradient color.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/ChessUi.html#PIN_GHOST_BRIGHT_COLOR">PIN_GHOST_BRIGHT_COLOR</a></span></code>
<div class="block">Property key name for ghost pin's bright gradient color.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/ChessUi.html#PIN_GHOST_DARK_COLOR">PIN_GHOST_DARK_COLOR</a></span></code>
<div class="block">Property key name for ghost pin's dark gradient color.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/ChessUi.html#REPLAY_DELAY">REPLAY_DELAY</a></span></code>
<div class="block">Property key name for animated move sequence replay.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/ChessUi.html#SELECTED_FIELD_COLOR">SELECTED_FIELD_COLOR</a></span></code>
<div class="block">Property key name for selected field's color.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/ChessUi.html#SELECTED_PIN_COLOR">SELECTED_PIN_COLOR</a></span></code>
<div class="block">Property key name for selected pin's color.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/ChessUi.html#TOOLTIP_COLOR">TOOLTIP_COLOR</a></span></code>
<div class="block">Property key name for tool tip color.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/ChessUi.html#TOOLTIP_EDGE_COLOR">TOOLTIP_EDGE_COLOR</a></span></code>
<div class="block">Property key name for tool tip edge color.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/ChessUi.html#TOOLTIP_TEXT_COLOR">TOOLTIP_TEXT_COLOR</a></span></code>
<div class="block">Property key name for tool tip text color.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/ChessUi.html#uiProperties">uiProperties</a></span></code>
<div class="block">Array of all default values.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/ChessUi.html#WHITE_FIELD_COLOR">WHITE_FIELD_COLOR</a></span></code>
<div class="block">Property key name for white field's color.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/ChessUi.html#WHITE_FIELD_EDGE_COLOR">WHITE_FIELD_EDGE_COLOR</a></span></code>
<div class="block">Property key name for white field's edge color.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/ChessUi.html#ChessUi--">ChessUi</a></span>()</code>
<div class="block">Default constructor.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/ChessUi.html#ChessUi-java.lang.String-">ChessUi</a></span>(java.lang.String&nbsp;resourceFile)</code>
<div class="block">Constructs a ChessUi for a specific resource file.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/ChessUi.html#getResourceFile--">getResourceFile</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.awt.Color</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/ChessUi.html#getUiProperty-java.lang.String-">getUiProperty</a></span>(java.lang.String&nbsp;property)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/ChessUi.html#getUiPropertyString-java.lang.String-">getUiPropertyString</a></span>(java.lang.String&nbsp;property)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/ChessUi.html#setResourceFile-java.lang.String-">setResourceFile</a></span>(java.lang.String&nbsp;resourceFile)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="REPLAY_DELAY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REPLAY_DELAY</h4>
<pre>public static final&nbsp;java.lang.String REPLAY_DELAY</pre>
<div class="block">Property key name for animated move sequence replay.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#de.rowlo.tridchess.gui.ChessUi.REPLAY_DELAY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BACKGROUND_COLOR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BACKGROUND_COLOR</h4>
<pre>public static final&nbsp;java.lang.String BACKGROUND_COLOR</pre>
<div class="block">Property key name for components' backfround color.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#de.rowlo.tridchess.gui.ChessUi.BACKGROUND_COLOR">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="WHITE_FIELD_COLOR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>WHITE_FIELD_COLOR</h4>
<pre>public static final&nbsp;java.lang.String WHITE_FIELD_COLOR</pre>
<div class="block">Property key name for white field's color.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#de.rowlo.tridchess.gui.ChessUi.WHITE_FIELD_COLOR">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="WHITE_FIELD_EDGE_COLOR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>WHITE_FIELD_EDGE_COLOR</h4>
<pre>public static final&nbsp;java.lang.String WHITE_FIELD_EDGE_COLOR</pre>
<div class="block">Property key name for white field's edge color.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#de.rowlo.tridchess.gui.ChessUi.WHITE_FIELD_EDGE_COLOR">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BLACK_FIELD_COLOR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BLACK_FIELD_COLOR</h4>
<pre>public static final&nbsp;java.lang.String BLACK_FIELD_COLOR</pre>
<div class="block">Property key name for black field's color.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#de.rowlo.tridchess.gui.ChessUi.BLACK_FIELD_COLOR">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BLACK_FIELD_EDGE_COLOR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BLACK_FIELD_EDGE_COLOR</h4>
<pre>public static final&nbsp;java.lang.String BLACK_FIELD_EDGE_COLOR</pre>
<div class="block">Property key name for black field's edge color.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#de.rowlo.tridchess.gui.ChessUi.BLACK_FIELD_EDGE_COLOR">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SELECTED_FIELD_COLOR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SELECTED_FIELD_COLOR</h4>
<pre>public static final&nbsp;java.lang.String SELECTED_FIELD_COLOR</pre>
<div class="block">Property key name for selected field's color.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#de.rowlo.tridchess.gui.ChessUi.SELECTED_FIELD_COLOR">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="ALLOWED_FIELD_COLOR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ALLOWED_FIELD_COLOR</h4>
<pre>public static final&nbsp;java.lang.String ALLOWED_FIELD_COLOR</pre>
<div class="block">Property key name for allowed field's color.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#de.rowlo.tridchess.gui.ChessUi.ALLOWED_FIELD_COLOR">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="ATTACK_FIELD_COLOR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ATTACK_FIELD_COLOR</h4>
<pre>public static final&nbsp;java.lang.String ATTACK_FIELD_COLOR</pre>
<div class="block">Property key name for attack field's color.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#de.rowlo.tridchess.gui.ChessUi.ATTACK_FIELD_COLOR">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="GUARDED_FIELD_COLOR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GUARDED_FIELD_COLOR</h4>
<pre>public static final&nbsp;java.lang.String GUARDED_FIELD_COLOR</pre>
<div class="block">Property key name for guarded field's color.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#de.rowlo.tridchess.gui.ChessUi.GUARDED_FIELD_COLOR">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="FORBIDDEN_FIELD_COLOR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FORBIDDEN_FIELD_COLOR</h4>
<pre>public static final&nbsp;java.lang.String FORBIDDEN_FIELD_COLOR</pre>
<div class="block">Property key name for forbidden field's color.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#de.rowlo.tridchess.gui.ChessUi.FORBIDDEN_FIELD_COLOR">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="ATTACKER_FIELD_COLOR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ATTACKER_FIELD_COLOR</h4>
<pre>public static final&nbsp;java.lang.String ATTACKER_FIELD_COLOR</pre>
<div class="block">Property key name for attacker field's color frame.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#de.rowlo.tridchess.gui.ChessUi.ATTACKER_FIELD_COLOR">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="LABEL_COLOR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LABEL_COLOR</h4>
<pre>public static final&nbsp;java.lang.String LABEL_COLOR</pre>
<div class="block">Property key name for label color.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#de.rowlo.tridchess.gui.ChessUi.LABEL_COLOR">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HINT_COLOR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HINT_COLOR</h4>
<pre>public static final&nbsp;java.lang.String HINT_COLOR</pre>
<div class="block">Property key name for hint color.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#de.rowlo.tridchess.gui.ChessUi.HINT_COLOR">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TOOLTIP_TEXT_COLOR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TOOLTIP_TEXT_COLOR</h4>
<pre>public static final&nbsp;java.lang.String TOOLTIP_TEXT_COLOR</pre>
<div class="block">Property key name for tool tip text color.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#de.rowlo.tridchess.gui.ChessUi.TOOLTIP_TEXT_COLOR">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TOOLTIP_COLOR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TOOLTIP_COLOR</h4>
<pre>public static final&nbsp;java.lang.String TOOLTIP_COLOR</pre>
<div class="block">Property key name for tool tip color.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#de.rowlo.tridchess.gui.ChessUi.TOOLTIP_COLOR">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TOOLTIP_EDGE_COLOR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TOOLTIP_EDGE_COLOR</h4>
<pre>public static final&nbsp;java.lang.String TOOLTIP_EDGE_COLOR</pre>
<div class="block">Property key name for tool tip edge color.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#de.rowlo.tridchess.gui.ChessUi.TOOLTIP_EDGE_COLOR">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PIN_BRIGHT_COLOR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PIN_BRIGHT_COLOR</h4>
<pre>public static final&nbsp;java.lang.String PIN_BRIGHT_COLOR</pre>
<div class="block">Property key name for pin's bright gradient color.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#de.rowlo.tridchess.gui.ChessUi.PIN_BRIGHT_COLOR">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PIN_DARK_COLOR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PIN_DARK_COLOR</h4>
<pre>public static final&nbsp;java.lang.String PIN_DARK_COLOR</pre>
<div class="block">Property key name for pin's dark gradient color.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#de.rowlo.tridchess.gui.ChessUi.PIN_DARK_COLOR">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PIN_GHOST_BRIGHT_COLOR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PIN_GHOST_BRIGHT_COLOR</h4>
<pre>public static final&nbsp;java.lang.String PIN_GHOST_BRIGHT_COLOR</pre>
<div class="block">Property key name for ghost pin's bright gradient color.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#de.rowlo.tridchess.gui.ChessUi.PIN_GHOST_BRIGHT_COLOR">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PIN_GHOST_DARK_COLOR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PIN_GHOST_DARK_COLOR</h4>
<pre>public static final&nbsp;java.lang.String PIN_GHOST_DARK_COLOR</pre>
<div class="block">Property key name for ghost pin's dark gradient color.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#de.rowlo.tridchess.gui.ChessUi.PIN_GHOST_DARK_COLOR">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SELECTED_PIN_COLOR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SELECTED_PIN_COLOR</h4>
<pre>public static final&nbsp;java.lang.String SELECTED_PIN_COLOR</pre>
<div class="block">Property key name for selected pin's color.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#de.rowlo.tridchess.gui.ChessUi.SELECTED_PIN_COLOR">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="ALLOWED_PIN_COLOR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ALLOWED_PIN_COLOR</h4>
<pre>public static final&nbsp;java.lang.String ALLOWED_PIN_COLOR</pre>
<div class="block">Property key name for allowed pin's color.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#de.rowlo.tridchess.gui.ChessUi.ALLOWED_PIN_COLOR">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="FORBIDDEN_PIN_COLOR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FORBIDDEN_PIN_COLOR</h4>
<pre>public static final&nbsp;java.lang.String FORBIDDEN_PIN_COLOR</pre>
<div class="block">Property key name for forbidden pin's color.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#de.rowlo.tridchess.gui.ChessUi.FORBIDDEN_PIN_COLOR">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="uiProperties">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>uiProperties</h4>
<pre>public static final&nbsp;java.lang.String[] uiProperties</pre>
<div class="block">Array of all default values.</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ChessUi--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ChessUi</h4>
<pre>public&nbsp;ChessUi()</pre>
<div class="block">Default constructor. Tries to load de.rowlo.tridchess.config/ChessUI.properties.</div>
</li>
</ul>
<a name="ChessUi-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ChessUi</h4>
<pre>public&nbsp;ChessUi(java.lang.String&nbsp;resourceFile)</pre>
<div class="block">Constructs a ChessUi for a specific resource file.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>resourceFile</code> - name of the resource file located in config folder.</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getUiProperty-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUiProperty</h4>
<pre>public&nbsp;java.awt.Color&nbsp;getUiProperty(java.lang.String&nbsp;property)</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the Color of a property or null, if property name unknown</dd>
</dl>
</li>
</ul>
<a name="getUiPropertyString-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUiPropertyString</h4>
<pre>public&nbsp;java.lang.String&nbsp;getUiPropertyString(java.lang.String&nbsp;property)</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the String value of a property or null, if property name unknown</dd>
</dl>
</li>
</ul>
<a name="getResourceFile--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getResourceFile</h4>
<pre>public&nbsp;java.lang.String&nbsp;getResourceFile()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the resourceFile</dd>
</dl>
</li>
</ul>
<a name="setResourceFile-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setResourceFile</h4>
<pre>public&nbsp;void&nbsp;setResourceFile(java.lang.String&nbsp;resourceFile)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>resourceFile</code> - the resourceFile to set</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ChessUi.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../de/rowlo/tridchess/gui/BoardView.html" title="class in de.rowlo.tridchess.gui"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../de/rowlo/tridchess/gui/FieldView.html" title="class in de.rowlo.tridchess.gui"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?de/rowlo/tridchess/gui/ChessUi.html" target="_top">Frames</a></li>
<li><a href="ChessUi.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
